import request from '@/utils/request'
const baseURL = import.meta.env.VITE_APP_BASE_API
// request.defaults.baseURL = '/ezhizao-yzbh-sys'
// 查询参数列表
export function listConfig(query) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config/list',
    method: 'get',
    params: query
  })
}

// 查询参数详细
export function getConfig(configId) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config/' + configId,
    method: 'get'
  })
}

// 根据参数键名查询参数值
export function getConfigKey(configKey) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config/configKey/' + configKey,
    method: 'get'
  })
}

// 新增参数配置
export function addConfig(data) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config',
    method: 'post',
    data: data
  })
}

// 修改参数配置
export function updateConfig(data) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config',
    method: 'put',
    data: data
  })
}

// 删除参数配置
export function delConfig(configId) {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config/' + configId,
    method: 'delete'
  })
}

// 刷新参数缓存
export function refreshCache() {
  request.defaults.baseURL = baseURL
  return request({
    url: '/system/config/refreshCache',
    method: 'delete'
  })
}
